petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESGetCheckJacobianDomainError

Get an indicator whether or not we are checking Jacobian domain errors after each Jacobian evaluation.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetCheckJacobianDomainError(SNES snes, PetscBool *flg)

Logically Collective on SNES

### Input Parameters

snes -the SNES context

### Output Parameters

flg -PETSC_FALSE indicates that we don't check jacobian domain errors after each Jacobian evaluation

### See Also

SNESCreate(), SNESSetFunction(), SNESFunction(), SNESSetFunctionDomainError(), SNESSetCheckJacobianDomainError()

### Level

advanced

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages